@import url("https://fonts.googleapis.com/css?family=Roboto:400,700");
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Arbutus+Slab&display=swap');



/*Body y cuerpo de la pagina --------------------------- */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", cursive;
    font-size: xx-small;                                                                                                    
}
body {
    min-height: 100vh;
    /*background: url('backgroundProviDesidia.png') no-repeat center center fixed; */
    background-color: #2e1e45;
    background-size: cover;
}
/*Header y navbar, iconos y responsive, menu ------------------------- */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 6.8rem;
    padding: 1.5rem 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.header * {
    transition: color 0.3s ease, transform 0.3s ease;
}
.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .1); 
    backdrop-filter: blur(15px); 
    z-index: -1;
}
.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}
.header:hover::after {
    left: 100%;
}
.logo {
font-size: 2rem;
color: rgb(255, 255, 255); 
text-decoration: none;
font-weight: 700;
}
.logo:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a {
    font-size: 2rem;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
}
.navbar a:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a.active{
    color: rgb(88, 183, 255);
    transform: scale(1.1);
}
#check {
    display: none;
}
.icons {
    position: absolute;
    right: 5%;
    font-size: 2.8rem;
    color: #fff;
    cursor: pointer;
    display: none;
}
/*BREAKPOINTS*/

.icons #menu-icon,
.icons #close-icon {
    font-size: 3.2rem;
}
.icons #menu-icon:hover {
    color: #2AEC88;
}
.icons #close-icon:hover {
    color: #2AEC88;
}
@media (max-width: 992px){
.header {
    padding: 1.3rem 5%;
}
}
@media (max-width: 768px) {
.icons {
    display: inline-flex;
}
#check:checked~.icons #menu-icon {
    display: none;
}
.icons #close-icon {    
    display: none;
}
#check:checked~.icons #close-icon {
    display: block;
}
.navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(15px);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
    transition: .3s ease;
}
#check:checked~.navbar {
    height: 17.7rem;
}
.navbar a {
    display: block;
    font-size: 1.1rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    opacity: 0;
    transition: .3s ease;
}
#check:checked ~ .navbar a {
    transform: translateY(0);
    opacity: 1;
    transition-delay: calc(.15s * var(--i));
}
}                   
.container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    max-width: 600px;
    height: 400px;
    margin-top: 2rem;
}

.block {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover; 
    background-position: center; 
    margin-top: 5vh;
}

.b-1 {
    background: url("images/01madrileno.png") 50% 50% no-repeat;
    background-size: cover;
}
.b-2 {
    background: url("images/madri2.jpg") 50% 50% no-repeat;
    background-size: cover;
}
.b-3 {
    background: url("images/madri3.jpeg") 50% 50% no-repeat;
    background-size: cover;
}
.b-4 {
    background: url("images/madri4.jpeg") 50% 50% no-repeat;
    background-size: cover;
}
.b-5 {
    background: url("images/madri5.jpeg") 50% 50% no-repeat;
    background-size: cover;
}
.b-6 {
    background: url("images/madri7.jpeg") 50% 50% no-repeat;
    background-size: cover;
}
.b-7 {
    background: url("images/01madrileno.png") 50% 50% no-repeat;
    background-size: cover;
}

.overlay {
    position: absolute;
    width: 100%;
    height: 37vh;
    bottom: 0; 
    background: #2e1e45; 
    z-index: 1; 
    margin-top: 5vh;
}
.overlay .cuerpo {
    font-size: 1.5em; 
    font-family: poppins, sans-serif;
    color: #fff;
    font-weight: 700; 
    font-style: normal;
    line-height: 1.5; 
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5); 
    letter-spacing: 0.5px; 
    margin-top: 2rem;
    margin-left: 2rem;
    margin-right: 2rem;
    margin-block: 2rem;
    text-align: center;
}

.title {
    margin-top: 10vh;
    text-align: center;
    font-family: "Arbutus Slab", serif;
    font-size: 6vw; 
    color: #ff695c;
    overflow: hidden;

}

.title .letter {
    display: inline-block;
    line-height: 1em;
    font-family: "Arbutus Slab", serif;
    font-size: 1.0em; 
}
@media screen and (max-width: 600px) {
    .overlay {
        height: 30vh;
    }

    .overlay .cuerpo {
        font-size: 1.5em;
    }

    .title {
        font-size: 6em;
    }

    .container {
        width: 90vw;
    }
}
.gg-chevron-left-o {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs,1));
    width: 22px;
    height: 22px;
    border: 2px solid;
    border-radius: 100px;
    color: white;
}
.gg-chevron-left-o::after {
    content: "";
    display: block;
    box-sizing: border-box;
    position: absolute;
    width: 6px;
    height: 6px;
    border-bottom: 2px solid;
    border-left: 2px solid;
    transform: rotate(45deg);
    left: 7px;
    top: 6px
} 
.spotifyMadri {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 10vh;
    width: 400px;
    max-width: 600px;
    height: 400px;
    color: #fff;

}